gotr plugin fails to start #10

Closed
helllamer opened this Issue Apr 29, 2012 · 4 comments

Comments

Projects
None yet
3 participants
Traceback (most recent call last):
  File "gajim.py", line 442, in <module>
    interface.run()
  File "/usr/lib/python2.7/site-packages/gajim/gui_interface.py", line 2515, in run
    gajim.plugin_manager = plugins.PluginManager()
  File "/usr/lib/python2.7/site-packages/gajim/plugins/helpers.py", line 129, in __call__
    cls.instance=super(Singleton, cls).__call__(*args,**kw)
  File "/usr/lib/python2.7/site-packages/gajim/plugins/pluginmanager.py", line 105, in __init__
    self.add_plugins(pc)
  File "/usr/lib/python2.7/site-packages/gajim/plugins/helpers.py", line 114, in wrapper
    result = f(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/gajim/plugins/pluginmanager.py", line 144, in add_plugins
    self.add_plugin(plugin_class)
  File "/usr/lib/python2.7/site-packages/gajim/plugins/helpers.py", line 114, in wrapper
    result = f(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/gajim/plugins/pluginmanager.py", line 128, in add_plugin
    plugin = plugin_class()
  File "/usr/lib/python2.7/site-packages/gajim/plugins/helpers.py", line 107, in wrapper
    result = f(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/gajim/plugins/plugin.py", line 156, in __init__
    self.init()
  File "/home/user/.local/share/gajim/plugins/gotr/otrmodule.py", line 242, in init
    self.us[acc].loadTrusts()
  File "/home/user/.local/share/gajim/plugins/gotr/otrmodule.py", line 201, in loadTrusts
    self.setTrust(jid, fpr, trust)
AttributeError: 'GajimOtrAccount' object has no attribute 'setTrust'

enko commented May 2, 2012

There seems to be missing something?

Contributor

afflux commented May 3, 2012

What version of python-otr are you running? The plugin currently needs 1.0.0beta5, it seems like you are running an older version. (Although the plugin should see that and give an error...)

Looks like archlinux yaourt silently skipped potr rebuilding (due to #9) on sysupgrade. Now #9 is fixed and all ok.

helllamer closed this May 3, 2012

enko commented May 3, 2012

I installed it via the plugin manager on Windows and I dont remember installing python-otr.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment